## ros-lunar-rgbd-launch 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rgbd_launch)

find_package(catkin)

catkin_package()

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

install(PROGRAMS scripts/hydro-upgrade-notice
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED) 
  roslaunch_add_file_check(launch)
  roslaunch_add_file_check(test)
  add_rostest(test/camera.test) 
endif()

=== debian/changelog ===
ros-lunar-rgbd-launch (2.2.2-0xenial) xenial; urgency=high

  * [capability] add rgb prefix, rectify_ir to node name
  * [maintenance] enable rostest upon build.
  * [maintenance] Remove Indigo. Enable Kinetic from Travis conf. #32 <https://github.com/ros-drivers/rgbd_launch/issues/32>
  * Contributors: Yuki Furuta, Isaac I.Y. Saito

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 13 Sep 2016 07:00:00 -0000

ros-lunar-rgbd-launch (2.2.1-0xenial) xenial; urgency=high

  * [feat] Depth registered filtered #26 <https://github.com/ros-drivers/rgbd_launch/issues/26>
  * [sys] Update config to using industrial_ci with Prerelease Test. #24 <https://github.com/ros-drivers/rgbd_launch/issues/24>
  * Contributors: Jonathan Bohren, Isaac I.Y. Saito

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 07 May 2016 07:00:00 -0000

ros-lunar-rgbd-launch (2.2.0-0xenial) xenial; urgency=high

  * 1st release into ROS Jade
  * [feat] Adjust to tf2 (#18 <https://github.com/ros-drivers/rgbd_launch/issues/18>)
  * [sys] travis enabled
  * Contributors: Daiki Maekawa, Isaac I.Y. Saito

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 17 Nov 2015 08:00:00 -0000

ros-lunar-rgbd-launch (2.1.1-0xenial) xenial; urgency=high

  * 1st ROS Jade release
  * [feat] Add convert_metric nodes to depth_registered.launch.xml (#13 <https://github.com/ros-drivers/rgbd_launch/issues/13> from kbogert/hydro-devel)
  * [feat] Add the metric nodes to output a depth image
  * [fix] Merge pull request #1 <https://github.com/ros-drivers/rgbd_launch/issues/1> from piyushk/piyush/kbogert-depth-registered-metric
    fixed rect convert metric to conform to both s/w and h/w pipelines. fixe...
  * Contributors: Kenneth Bogert, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 16 Nov 2015 08:00:00 -0000

ros-lunar-rgbd-launch (2.1.0-0xenial) xenial; urgency=high

  * Revert "Add machine parameter". closes #5 <https://github.com/ros-drivers/rgbd_launch/issues/5>
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 05 May 2014 07:00:00 -0000

ros-lunar-rgbd-launch (2.0.1-0xenial) xenial; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/rgbd_launch/issues/2> - added machine parameter to launch nodelet manager on a remote machine.
  * Merge pull request #1 <https://github.com/ros-drivers/rgbd_launch/issues/1> - added debayer_processing argument

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 06 Sep 2013 07:00:00 -0000

ros-lunar-rgbd-launch (2.0.0-0xenial) xenial; urgency=high

  * explicit s/w and h/w processing chains with flags to enable/disable
  * marked and moved all launch files as internal
  * added a script to serve as an upgrade notice for ROS Hydro. This notice should be removed for ROS Indigo
  * fixed cloud processing when device registration is enabled
  * added tf prefix resolution to kinect_frames
  * Migrated from openni_launch v1.9.1 and removed all openni specific files

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 19 Aug 2013 07:00:00 -0000

=== debian/control ===
Source: ros-lunar-rgbd-launch
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-depth-image-proc, ros-lunar-image-proc, ros-lunar-nodelet, ros-lunar-rostest, ros-lunar-tf2-ros
Homepage: http://www.ros.org/wiki/rgbd_launch
Standards-Version: 3.9.2

Package: ros-lunar-rgbd-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-depth-image-proc, ros-lunar-image-proc, ros-lunar-nodelet, ros-lunar-tf2-ros
Description: Launch files to open an RGBD device and load all nodelets to convert raw depth/RGB/IR streams to depth images, disparity images, and (registered) point clouds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rgbd-launch//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
